Index: tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy
===================================================================
--- tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy	(revision 2079)
+++ tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/prepare/TEI2ProjectMacro.groovy	(revision 2080)
@@ -185,10 +185,10 @@
 	return;
 }
 
-if (imagesDirectory.exists() && imagesDirectory.listFiles(IOUtils.FILTER_HIDDEN).size() > 0) {
+if (imagesDirectory.exists() && imagesDirectory.listFiles(IOUtils.HIDDENFILE_FILTER).size() > 0) {
 	println "Copying images files from $imagesDirectory to $imgDirectory..."
 	FileCopy.copyFiles(imagesDirectory, imgDirectory);
-	def files = imgDirectory.listFiles(IOUtils.FILTER_HIDDEN)
+	def files = imgDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)
 	if (files != null) println ""+files.size()+" images copied."
 }
 
Index: tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy
===================================================================
--- tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy	(revision 2079)
+++ tmp/org.txm.oriflamms.rcp/groovy/org/txm/macro/oriflamms/prepare/Project2XTZMacro.groovy	(revision 2080)
@@ -88,7 +88,7 @@
 File wFile = null
 File cFile = null
 
-def xmlFiles = textDirectory.listFiles(IOUtils.FILTER_HIDDEN)
+def xmlFiles = textDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)
 if (xmlFiles == null) return;
 
 for (File xmlFile : xmlFiles) {
@@ -126,14 +126,14 @@
 	println "Error: fail to split $cFile"
 	return false
 }
-if (!ApplyXsl2.processImportSources(cFrontXSLFile, cDirectory.listFiles(IOUtils.FILTER_HIDDEN), [:])) {
+if (!ApplyXsl2.processImportSources(cFrontXSLFile, cDirectory.listFiles(IOUtils.HIDDENFILE_FILTER), [:])) {
 	println "Error: fail to apply front XSL with $cDirectory files"
 	return false
 }
 // INJECT ontologies 
 
 println "Injecting ontologies..."
-for (File f : cDirectory.listFiles(IOUtils.FILTER_HIDDEN)) {
+for (File f : cDirectory.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 	if (f.getName().startsWith(cDirectory.getName())) {
 		OntologiesProjection cp = new OntologiesProjection(f, projectDirectory);
 		File outputFile = new File(cDirectory, "temp.xml")
Index: tmp/org.txm.core/src/java/org/txm/importer/EncodingConverter.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/importer/EncodingConverter.java	(revision 2079)
+++ tmp/org.txm.core/src/java/org/txm/importer/EncodingConverter.java	(revision 2080)
@@ -182,7 +182,7 @@
 
 		while (racine != null) {
 			if (racine.exists())
-				for (File f : racine.listFiles(IOUtils.FILTER_HIDDEN)) {
+				for (File f : racine.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 					// System.out.println("scan file "+f);
 					if (f.isDirectory()) {
 						if (!f.getName().equals(".svn"))
Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSelection.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSelection.java	(revision 2079)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/search/URSSelection.java	(revision 2080)
@@ -9,7 +9,7 @@
 
 public class URSSelection extends Selection {
 
-	ArrayList<? extends Match> matches;
+	ArrayList<URSMatch> matches;
 	Query query;
 	
 	public URSSelection(Query query, ArrayList<URSMatch> matches2) {
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 2079)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/JFCChartsEngine.java	(revision 2080)
@@ -754,7 +754,7 @@
 
 			// FIXME: recursive addition of subdirectories of root font paths
 //			  static protected void traverseDir(File folder, DefaultFontMapper mapper) {
-//				    File[] files = folder.listFiles(IOUtils.FILTER_HIDDEN);
+//				    File[] files = folder.listFiles(IOUtils.HIDDENFILE_FILTER);
 //				    for (int i = 0; i < files.length; i++) {
 //				      if (files[i].isDirectory()) {
 //				        mapper.insertDirectory(files[i].getPath());
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/test/DrawTSSVG.java	(revision 2080)
@@ -62,7 +62,7 @@
 //			System.out.println( next.toHTML() + "<br>");
 
 			//	System.out.println( "make some room :)"
-			//	for(File f : new File("/home/mdecorde/Bureau/tigerexports/").listFiles(IOUtils.FILTER_HIDDEN))
+			//	for(File f : new File("/home/mdecorde/Bureau/tigerexports/").listFiles(IOUtils.HIDDENFILE_FILTER))
 			//		f.delete()
 			//
 
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSelection.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSelection.java	(revision 0)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSelection.java	(revision 2080)
@@ -0,0 +1,67 @@
+package org.txm.searchengine.ts;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.txm.objects.Match;
+import org.txm.searchengine.core.Query;
+import org.txm.searchengine.core.Selection;
+
+public class TIGERSelection extends Selection {
+
+	ArrayList<TIGERMatch> matches;
+	Query query;
+	
+	public TIGERSelection(Query query, ArrayList<TIGERMatch> matches2) {
+		this.query = query;
+		matches = matches2;
+	}
+	
+	@Override
+	public List<? extends Match> getMatches() throws Exception {
+		return matches;
+	}
+
+	@Override
+	public List<? extends Match> getMatches(int from, int to) throws Exception {
+		if (to > matches.size()) to = matches.size();
+		return matches.subList(from, to + 1); // +1 because Match.getMatches is start-end inclusive and List.subList is start inclusif and end exclusif
+	}
+
+	@Override
+	public int getNMatch() throws Exception {
+		return matches.size();
+	}
+
+	@Override
+	public Query getQuery() {
+		return query;
+	}
+
+	@Override
+	public boolean isTargetUsed() throws Exception {
+		return false;
+	}
+
+	@Override
+	public void drop() throws Exception {
+		// TODO Auto-generated method stub
+	}
+
+	@Override
+	public boolean delete(int iMatch) {
+		if (iMatch < 0) return false;
+		if (iMatch >= matches.size()) return false;
+		return matches.remove(iMatch) != null;
+	}
+
+	@Override
+	public boolean delete(Match match) {
+		return matches.remove(match);
+	}
+
+	@Override
+	public boolean delete(ArrayList<Match> matchesToRemove) {
+		return matches.removeAll(matchesToRemove);
+	}
+}

Property changes on: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSelection.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java	(revision 2080)
@@ -1,6 +1,7 @@
 package org.txm.searchengine.ts;
 
 import java.io.File;
+import java.lang.reflect.Field;
 import java.util.ArrayList;
 import java.util.List;
 
@@ -23,6 +24,8 @@
 import ims.tiger.gui.tigergraphviewer.draw.Display_Sentence;
 import ims.tiger.gui.tigergraphviewer.forest.ResultForest;
 import ims.tiger.index.reader.Index;
+import ims.tiger.index.reader.structure.CorpusFeatures;
+import ims.tiger.index.reader.structure.SentenceIndex;
 import ims.tiger.query.api.MatchResult;
 import ims.tiger.query.internalapi.InternalCorpusQueryManager;
 import ims.tiger.query.processor.CorpusQueryProcessor;
@@ -70,27 +73,56 @@
 		CorpusQueryProcessor processor = tigermanager.getQueryProcessor();
 		Index index = processor.getIndex();
 		
+		
+		
+//		Field f = Index.class.getDeclaredField("sentindex");
+//		f.setAccessible(true);
+//		SentenceIndex sentenceIndex = (SentenceIndex) f.get(index);
+//		
+//		Field f2 = Index.class.getDeclaredField("corpus");
+//		f2.setAccessible(true);
+//		CorpusFeatures corpusFeatures = (CorpusFeatures) f2.get(index);
+		
 		System.out.println("MANAGER="+tigermanager.getClass());
 		int nsentences = 0;
-		int sentence_sizes[] = new int[nsentences];
+		//int sentence_sizes[] = new int[nsentences];
 		int size = mresult.size();
 		System.out.println("size: "+size);
 		int subsize = mresult.submatchSize();
+		
+		ArrayList<TIGERMatch> tigerMatchesList = new ArrayList<TIGERMatch>();
+		
+		int[] starts = new int[index.getNumberOfGraphs()];
+		for (int i = 0 ; i < index.getNumberOfGraphs() ; i++) {
+			starts[i] = 0;
+			if (i > 0) {
+				starts[i] += index.getNumberOfTNodes(i-1) + starts[i-1];
+			}
+		}
+		System.out.println("sent size="+index.getNumberOfGraphs());
+		
+		tcorpus.manager.getSentence(0);
+		
 		System.out.println("submatchSize: "+subsize);
 		for (int imatch = 0 ; imatch < size; imatch++) { // the matching sentences
 			int sent = mresult.getSentenceNumberAt(imatch);
 			Sentence sentence = tcorpus.manager.getSentence(sent);
+			
 			System.out.println(" sent: "+sent);
 			int sent_submatch = mresult.getSentenceSubmatchSize(sent);
 			//System.out.println(" sent submatch size: "+sent_submatch);
 			for (int isubmatch = 0 ; isubmatch < sent_submatch ; isubmatch++) { // the matches in the sentence
 				int[] match = mresult.getSentenceSubmatchAt(sent, isubmatch);
-				//System.out.println("  match="+Arrays.toString(match));
+				System.out.println("  matches="+Arrays.toString(match));
 				
+				int sent_start = starts[sent];
+//				for (int inode : match) {
+//					System.out.println("   m="+(sent_start+inode));
+//				}
 				
-				for (int inode : match) {
-					System.out.println("  match="+ sentence.getNode(inode).getFeatures());
-				}
+				TIGERMatch tigerMatch = new TIGERMatch(sent_start+match[0], sent_start+match[match.length-1]);
+				System.out.println("   m="+(tigerMatch));
+				tigerMatchesList.add(tigerMatch);
 			}
 		}
 		
@@ -152,8 +184,7 @@
 		//			}
 		//		}
 
-		System.out.println("FIXME return EmptySelection for now...");
-		return new EmptySelection(query);
+		return new TIGERSelection(query, tigerMatchesList);
 	}
 
 	@Override
Index: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERMatch.java
===================================================================
--- tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERMatch.java	(revision 0)
+++ tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERMatch.java	(revision 2080)
@@ -0,0 +1,10 @@
+package org.txm.searchengine.ts;
+
+import org.txm.objects.Match2P;
+
+public class TIGERMatch extends Match2P {
+
+	public TIGERMatch(int start, int end) {
+		super(start, end);
+	}
+}

Property changes on: tmp/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERMatch.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImport.groovy	(revision 2080)
@@ -9,7 +9,7 @@
 import org.txm.Toolbox;
 import org.txm.importer.ApplyXsl2;
 import org.txm.importer.xtz.*
-import org.txm.objects.BaseParameters
+import org.txm.objects.Project
 import org.txm.utils.BundleUtils;
 import org.txm.utils.io.FileCopy;
 import org.apache.log4j.BasicConfigurator;
@@ -18,12 +18,12 @@
 
 class TSImport extends XTZImport {
 
-	public TSImport(BaseParameters params) {
+	public TSImport(Project params) {
 		super(params);
 	}
 
 	@Override
-	public void init(BaseParameters p) {
+	public void init(Project p) {
 		super.init(p);
 
 		importer = new TSImporter(this); // select TIGER XML files then do XTZImporter step
@@ -40,7 +40,7 @@
 		
 		super.start(); // call the usual XTZ import
 		
-		if (isSuccessful) {
+		if (successFul) {
 
 			File tigerDir = new File(this.binaryDirectory, "tiger");
 			tigerDir.mkdir();
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/tigersearchLoader.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/tigersearchLoader.groovy	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/tigersearchLoader.groovy	(revision 2080)
@@ -19,48 +19,41 @@
 // Public License along with the TXM platform. If not, see
 // http://www.gnu.org/licenses.
 //
+//
+//
 // $LastChangedDate: 2015-06-03 15:04:53 +0200 (mer., 03 juin 2015) $
 // $LastChangedRevision: 2984 $
 // $LastChangedBy: mdecorde $
 //
 package org.txm.scripts.importer.tigersearch;
 
-import javax.xml.stream.XMLStreamReader;
+import javax.xml.stream.*
 
-import org.txm.scripts.importer.RemoveTag;
-import org.txm.importer.ApplyXsl2;
-import org.txm.importer.ValidateXml;
-import org.txm.objects.*;
-import org.txm.tokenizer.TokenizerClasses;
-import org.txm.utils.*;
-import org.txm.*;
-import org.txm.importer.xmltxm.*;
-import org.txm.utils.i18n.*;
-import org.txm.metadatas.*;
-import javax.xml.stream.*;
-import org.w3c.dom.Element
-import org.txm.utils.xml.DomUtils;
+import org.txm.*
+import org.txm.metadatas.*
+import org.txm.objects.*
+import org.txm.importer.scripts.xmltxm.*
+import org.txm.tokenizer.TokenizerClasses
+import org.txm.utils.*
+import org.txm.utils.i18n.*
 import org.txm.importer.xtz.*
 
 String userDir = System.getProperty("user.home");
 
 def MONITOR;
-boolean debug = org.txm.utils.logger.Log.isPrintingErrors();
-BaseParameters params;
-try {params = paramsBinding;MONITOR=monitor} catch (Exception)
-{	println "DEV MODE";//exception means we debug
-	debug = true
-	params = new BaseParameters(new File(userDir, "xml/roland/import.xml"))
-	params.load()
-}
+Project project;
 
-if (params == null) { println "no parameters. Aborting"; return; }
+try {project=projectBinding;MONITOR=monitor} catch (Exception)
+{	}
+if (project == null) { println "no project set. Aborting"; return; }
 
-//params.getKeyValueParameters().put(ImportKeys.CLEAN, "false")
-//params.getKeyValueParameters().put(ImportKeys.MULTITHREAD, "false")
-//params.getKeyValueParameters().put(ImportKeys.DEBUG, "false")
-//params.getKeyValueParameters().put(ImportKeys.UPDATECORPUS, "false")
-
-TSImport i = new TSImport(params);
+TSImport i = new TSImport(project);
+/*
+ * To customize the XTZ import, replace the importer, compiler, annotater or pager objects before calling process()
+		i.importer = new XTZImporter(i)
+		i.compiler = new XTZCompiler(i)
+		i.annotater = new TTAnnotater(i);
+		i.pager = new XTZPager(i)
+ */
 i.process();
-readyToLoad = i.isSuccessful
+readyToLoad = i.successFul && project.save()
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImporter.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImporter.groovy	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/tigersearch/TSImporter.groovy	(revision 2080)
@@ -65,12 +65,12 @@
 			
 			if (xmlFiles.size() > 1) {
 				println "Error, the source directory contains more than one TIGER XML file ?"
-				isSuccessful = false;
+				isSuccessFul = false;
 				return;
 			}
 			if (xmlFiles.size() == 0) {
 				println "Error no XML file found in $sourceDirectory directory"
-				isSuccessful = false;
+				isSuccessFul = false;
 				return;
 			}
 			println "No TIGER XML 'main.xml' file found. Using $xmlFiles as TIGER XML source file "
@@ -85,7 +85,7 @@
 			
 			if (xmlFiles.size() == 0) {
 				println "Error no XML file found in $master file"
-				isSuccessful = false;
+				isSuccessFul = false;
 				return;
 			}
 		}
@@ -106,14 +106,14 @@
 		
 		if (!ApplyXsl2.processImportSources(tsXSLFile, xmltxmSrcDir, tokenizedDir)) {
 			println "Error while applying TS XSL file to $xmltxmSrcDir"
-			isSuccessful = false;
+			isSuccessFul = false;
 			return;
 		}
 
-		File[] files = tokenizedDir.listFiles(IOUtils.FILTER_HIDDEN);
+		File[] files = tokenizedDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 		if (files == null || files.length == 0) {
 			println "Error while applying TS XSL file to $xmltxmSrcDir is empty"
-			isSuccessful = false;
+			isSuccessFul = false;
 			return;
 		}
 
@@ -121,6 +121,6 @@
 		if (!doInjectMetadataStep()) return;
 
 		File txmdDir = new File(module.getBinaryDirectory(),"txm");
-		isSuccessFul = txmdDir.listFiles(IOUtils.FILTER_HIDDEN).size() > 0
+		isSuccessFul = txmdDir.listFiles(IOUtils.HIDDENFILE_FILTER).size() > 0
 	}
 }
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/SrcmfImporter.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/SrcmfImporter.groovy	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/SrcmfImporter.groovy	(revision 2080)
@@ -53,7 +53,7 @@
     File tigerDir = new File(binDir, "tiger")
     tigerDir.mkdir()
     File masterpos = new File(tigerDir, "master_pos.xml")
-    File xmltxm = txmSrcDir.listFiles(IOUtils.FILTER_HIDDEN)[0]
+    File xmltxm = txmSrcDir.listFiles(IOUtils.HIDDENFILE_FILTER)[0]
     File logFile = new File(binDir, "tiger.log")
     def sdi = new SubcorpusDataInject(
         xmltxm, 
Index: tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/srcmfLoader.groovy
===================================================================
--- tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/srcmfLoader.groovy	(revision 2079)
+++ tmp/org.txm.tigersearch.rcp/groovy/org/txm/scripts/importer/srcmf/srcmfLoader.groovy	(revision 2080)
@@ -92,7 +92,7 @@
 txmDir.deleteDir();
 txmDir.mkdirs();
 // copy txm files
-List<File> srcfiles = txmSrcDir.listFiles(IOUtils.FILTER_HIDDEN);
+List<File> srcfiles = txmSrcDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 for (File f : srcfiles) {// check XML format, and copy file into binDir
 	if (f.getName().equals("import.xml") || f.getName().matches("metadata\\.....?") || f.getName().endsWith(".properties"))
 		continue;
@@ -102,12 +102,12 @@
 		println "Won't process file "+f;
 	}
 }
-if (txmDir.listFiles(IOUtils.FILTER_HIDDEN) == null) {
+if (txmDir.listFiles(IOUtils.HIDDENFILE_FILTER) == null) {
 	println "No txm file to process"
 	return;
 }
 
-List<File> filelist = txmDir.listFiles(IOUtils.FILTER_HIDDEN);
+List<File> filelist = txmDir.listFiles(IOUtils.HIDDENFILE_FILTER);
 Collections.sort(filelist);
 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
@@ -164,7 +164,7 @@
 File tigerDir = new File(binDir, "tiger");
 tigerDir.mkdir();
 File master = new File(tigerSrcDir, "master.xml");
-File txmSrcFile = txmSrcDir.listFiles(IOUtils.FILTER_HIDDEN)[0]; // only one text file 
+File txmSrcFile = txmSrcDir.listFiles(IOUtils.HIDDENFILE_FILTER)[0]; // only one text file 
 
 // Run SRCMF cmd line corpus import script 
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 2079)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/xtz/XTZImporter.groovy	(revision 2080)
@@ -29,20 +29,20 @@
 
 class XTZImporter extends Importer {
 
-	boolean cancelNow = false;
-	def filesToProcess = []
+	public boolean cancelNow = false;
+	public def filesToProcess = []
 
-	File frontXSLResultDirectory;
-	File tokenizedDirectory;
-	File sentencedDirectory;
+	public File frontXSLResultDirectory;
+	public File tokenizedDirectory;
+	public File sentencedDirectory;
 
-	String xslPath;
-	def xslParams;
-	String lang;
-	String wordTag;
-	boolean doTokenizeStep = false;
+	public String xslPath;
+	public def xslParams;
+	public String lang;
+	public String wordTag;
+	public boolean doTokenizeStep = false;
 
-	Metadatas metadata = null; // text metadata
+	public Metadatas metadata = null; // text metadata
 
 	public XTZImporter(ImportModule module) {
 		super(module);
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 2079)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/i18n/PluginMessagesManager.java	(revision 2080)
@@ -377,7 +377,7 @@
 	//			return null;
 	//		}
 	//
-	//		for (File messagesJavaFile : messagesPackageDir.listFiles(IOUtils.FILTER_HIDDEN)) {
+	//		for (File messagesJavaFile : messagesPackageDir.listFiles(IOUtils.HIDDENFILE_FILTER)) {
 	//			if (messagesJavaFile.isDirectory()) continue;
 	//			if (!messagesJavaFile.getName().endsWith("Messages.java")) continue;
 	//			return messagesJavaFile;
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 2079)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 2080)
@@ -352,7 +352,7 @@
 		 * System.out.println("SCRIPTROOTDIR "+script.getParent());
 		 * System.out.println("SCRIPT "+script); GroovyScriptEngine gse; try {
 		 * gse = new GroovyScriptEngine(roots); for(File f :
-		 * script.getParentFile().listFiles(IOUtils.FILTER_HIDDEN))
+		 * script.getParentFile().listFiles(IOUtils.HIDDENFILE_FILTER))
 		 * gse.loadScriptByName(f.getName()); Binding binding = new Binding();
 		 * 
 		 * System.out.println("start execution"); gse.run(script.getName(),
